AOZ Studio Beta - Bug #437

Inkey$ detecting keypress when not pressed
08/05/2020 01:48 PM - Paul Kitching

Status: Closed Start date: 08/05/2020
Priority: Normal Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Affected version: 0.9.94

Description

In this example, pressing 'p' doesn't pause the program for more than the wait command. It's getting past the inkey$ check, which
was working on older versions:

#manifest: "aoz"
#splashScreen:false
pen 1
do
locate 1,1l:print rnd(10)
if key state (80) // p to pause
locate 0,4:centre "Paused"
wait 0.5
clear key
while inkey$=""
wait vbl
wend
cls
end if
wait vbl
loop
end

History

#1 - 08/11/2020 09:40 AM - Brian Flanagan
- Status changed from New to Resolved

- Assignee changed from AOZ Studio Team to Brian Flanagan

This is working in the current version.

#2 - 09/04/2020 05:05 PM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested in 0.9.9.4 RC1 to verify.
